Skip to main content
GET
/
v1
/
prediction_markets
/
events
/
{id}
Get prediction market event
curl --request GET \
  --url http://127.0.0.1:3003/v1/prediction_markets/events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "category": "<string>",
    "id": "<string>",
    "scheduledAt": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "markets": [
      {
        "category": "<string>",
        "event": {
          "category": "<string>",
          "id": "<string>",
          "scheduledAt": "2023-11-07T05:31:56Z",
          "title": "<string>"
        },
        "eventId": "<string>",
        "id": "<string>",
        "outcomes": [
          {
            "id": "<string>",
            "label": "<string>",
            "probability": 0.5
          }
        ],
        "resolutionAt": "2023-11-07T05:31:56Z",
        "resolutionSource": "<string>",
        "resolvedAt": "2023-11-07T05:31:56Z",
        "resolvedOutcomeId": "<string>",
        "title": "<string>"
      }
    ],
    "topMarket": {
      "category": "<string>",
      "event": {
        "category": "<string>",
        "id": "<string>",
        "scheduledAt": "2023-11-07T05:31:56Z",
        "title": "<string>"
      },
      "eventId": "<string>",
      "id": "<string>",
      "outcomes": [
        {
          "id": "<string>",
          "label": "<string>",
          "probability": 0.5
        }
      ],
      "resolutionAt": "2023-11-07T05:31:56Z",
      "resolutionSource": "<string>",
      "resolvedAt": "2023-11-07T05:31:56Z",
      "resolvedOutcomeId": "<string>",
      "title": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.monetary.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Fetch one prediction market event by internal id.
curl -sS "$MONETARY_API_BASE_URL/v1/prediction_markets/events/evt_example?expand=markets" \
  -H "Authorization: Bearer $MONETARY_API_TOKEN" \
  -H "Accept: application/json"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Internal event id (evt_...).

Query Parameters

provider
enum<string>

Optional provider filter.

Available options:
kalshi,
polymarket
status
enum<string>

Optional status filter.

Available options:
open,
closed
expand
enum<string>

Set to markets to include event markets.

Available options:
markets

Response

Event details

data
object
required